package db.entity;

import db.util.ConvertUtils;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;

@Data
@NoArgsConstructor
@Slf4j
@ToString(callSuper = true)
public class ListenPackage extends BasePackage {

    private byte listenMode;

    public ListenPackage(int version, short operationCode, byte listenMode) {
        super(version, (short) 0x1, (short) 0, operationCode, (short) 0, (short) 1);
        this.listenMode = listenMode;
    }

    @Override
    public void setPayload(ByteBuf buf) {
        listenMode = buf.readByte();
    }

    @Override
    public ByteBuf getPayload() {
        ByteBuf buf = Unpooled.buffer(1);
        buf.writeByte(listenMode);
        return buf;
    }

}
