package db.netty;

import db.entity.BasePackage;
import db.entity.DataPackage;
import db.handler.DataPackageHandler;
import db.util.SpringUtils;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import lombok.extern.slf4j.Slf4j;


@Slf4j
public class NettyServerHandler extends SimpleChannelInboundHandler<BasePackage> {

    private DataPackageHandler dataPackageHandler;

    @Override
    protected void channelRead0(ChannelHandlerContext arg0, BasePackage basePackage) throws Exception {
        System.out.println("收到数据:" + basePackage);

        if(basePackage instanceof DataPackage) {
            if(dataPackageHandler == null) {
                dataPackageHandler = SpringUtils.getBean(DataPackageHandler.class);
            }
            dataPackageHandler.handlerDataPackage((DataPackage) basePackage);
        } // TODO 在这里扩展数据报文的处理

    }

    @Override
    public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) {
        cause.printStackTrace();
        ctx.close();
    }

}
