package db.sender;

import db.Globals;
import db.entity.ListenPackage;
import db.netty.NettyServer;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import io.netty.channel.Channel;
import io.netty.channel.socket.DatagramPacket;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.net.InetSocketAddress;

@Component
@Slf4j
public class ListenPackageSender {

    @Autowired
    private NettyServer server;

    /**
     * 开始监听
     * @param mode
     */
    public void startListen(Byte mode){
        // 发送监听报文
        generateListenPackage((short) 0x4, mode);
    }

    /**
     * 取消监听
     * @param mode
     */
    public void cancelListen(Byte mode){
        generateListenPackage((short) 0x5, mode);
    }

    private void generateListenPackage(Short type, Byte mode){
        // 发送监听报文
        ListenPackage listenPackage = new ListenPackage(0, type, mode);

        listenPackage.setToHostPort(Globals.BROADCAST_HOST, Globals.BROADCAST_PORT);

        log.info("发送{}", listenPackage);
        server.send(listenPackage);
    }
}
