package db.service;

import db.sender.ListenPackageSender;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class ConfigService {


    @Autowired
    ListenPackageSender listenPackageSender;

    public void listenConfig(String typeStr, String modeStr) {

        byte mode;
        if (modeStr.equalsIgnoreCase("all")) {
            mode = (byte) 0xFF;
        } else if (modeStr.equalsIgnoreCase("black")) {
            mode = 0x55;
        } else if (modeStr.equalsIgnoreCase("white")) {
            mode = (byte) 0xAA;
        } else {
            log.error("未识别的监听请求模式：{}", modeStr);
            return;
        }


        if (typeStr.equalsIgnoreCase("Start")) {
            listenPackageSender.startListen(mode);
        } else {
            listenPackageSender.cancelListen(mode);
        }
    }
}
